org.apache.solr.core

## Enum SolrInfoMBean.Category

- java.lang.Object
- - java.lang.Enum<SolrInfoMBean.Category>
  - - org.apache.solr.core.SolrInfoMBean.Category

- All Implemented Interfaces:
    Serializable, Comparable<SolrInfoMBean.Category>
  Enclosing interface:
    SolrInfoMBean

      public static enum SolrInfoMBean.Category
      extends Enum<SolrInfoMBean.Category>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CACHE`
    `CORE`
    `HIGHLIGHTING`
    `OTHER`
    `QUERYHANDLER`
    `QUERYPARSER`
    `UPDATEHANDLER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SolrInfoMBean.Category` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolrInfoMBean.Category[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CORE

          public static final SolrInfoMBean.Category CORE

    - #### QUERYHANDLER

          public static final SolrInfoMBean.Category QUERYHANDLER

    - #### UPDATEHANDLER

          public static final SolrInfoMBean.Category UPDATEHANDLER

    - #### CACHE

          public static final SolrInfoMBean.Category CACHE

    - #### HIGHLIGHTING

          public static final SolrInfoMBean.Category HIGHLIGHTING

    - #### QUERYPARSER

          public static final SolrInfoMBean.Category QUERYPARSER

    - #### OTHER

          public static final SolrInfoMBean.Category OTHER

  - ### Method Detail

    - #### values

          public static SolrInfoMBean.Category[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolrInfoMBean.Category c : SolrInfoMBean.Category.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolrInfoMBean.Category valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.